<div id="custom-component-info" class="d-flex">
  <div class="info-descr-wrapper w-50">
    <h3>Description</h3>
    <p>
      {{ customComponent.description }}
    </p>
  </div>

  <div class="info-table-wrapper w-50">
    <table
      mat-table
      [dataSource]="tableDataSource"
      class="info-table"
      aria-label="Custom component information table"
    >
      <ng-container matColumnDef="property">
        <th *matHeaderCellDef>Property</th>
        <td mat-cell *matCellDef="let element">
          {{ element.property | titlecase }}
        </td>
      </ng-container>

      <ng-container matColumnDef="value">
        <th *matHeaderCellDef>Value</th>
        <td mat-cell *matCellDef="let element">
          @if (element.property === "status") {
            <div class="slabs-comp ec-chips-theme">
              <mat-chip
                highlighted
                class="slabs-chip"
                [color]="status2ChipColor.get(element.value.toUpperCase())"
              >
                {{ element.value }}
              </mat-chip>
            </div>
          } @else {
            {{ element.value | titlecaseNodeName }}
          }
        </td>
      </ng-container>

      <tr mat-row *matRowDef="let row; columns: tableColumns"></tr>
    </table>
  </div>
</div>
